Como instalar Ruby en Ubuntu 20.04

¿Cómo va eso? aquí Kiko. Os traigo un nuevo post sobre el sistema operativo mas molón. Encantado linuxeros.

Ruby es el lenguaje de programación dinámico y de código abierto. Que se centra en la simplicidad de codificación y mejorar la productividad. La primera versión de Ruby 0.95 se lanzó en 1995. Después de eso, se lanzaron varias versiones estables de Ruby en los últimos años. En el momento de escribir este tutorial, Ruby 2.7.0 es la última versión estable disponible para el desarrollo.

Este tutorial le ayudará a instalar la versión de Ruby necesaria en su sistema Ubuntu 4.20. Si su aplicación sale a las versiones Ruby 1.9 o 1.8, se recomienda ir con la versión anterior de Ubuntu.

prerrequisitos

Debe tener acceso a la shell con una cuenta sudo privilegiado en su sistema Ubuntu 4.20.

Ahora, utilice uno de los 2 métodos para instalar Ruby languege en su sistema. Preferimos utilizar el método 2 para instalar Ruby con RVM al sistema Ubuntu 4.20.

Método 1: instale Ruby desde los depósitos predeterminados

El repositorio oficial Ubuntu 4.20 contiene la versión más reciente de Ruby (es decir, 2.7). Los usuarios deben empezar a crear aplicaciones con Ruby 2.7.0 o las aplicaciones 2.7 compatibles existentes se pueden instalar directamente en sus sistemas.

Para instalar Ruby 2.7 en su sistema Ubuntu, accede al sistema mediante una cuenta sudo privilegiado y ejecute los siguientes comandos:

sudo apt update 
sudo apt install ruby-full 

Una vez finalizada la instalación. Compruebe la versión de Ruby instalada ejecutando:

ruby --version 

La salida será similar a la siguiente.

ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-linux-gnu]

A continuación, el método le ayudará a instalar Ruby mediante RVM al sistema Ubuntu.

Método 2: instalación de Ruby con RVM

RVM se conoce como Ruby Version Manager es una herramienta de línea de comandos para instalar y gestionar varias versiones de Ruby en un solo sistema. Este tutorial le ayudará a instalar RVM en su sistema Ubuntu. Instale también las versiones necesarias o múltiples de Ruby y cambie entre ellas.

Primero, actualice la caché de Apt e instale algunos paquetes básicos necesarios:

sudo apt update 
sudo apt install curl gnupg2 
1. Instalación RVM

Ahora, ejecute los siguientes comandos para añadir la clave GPG en su sistema Ubuntu. El segundo mando instalará la última herramienta RVM en su sistema Ubuntu.

gpg2 --keyserver hkp://pool.sks-keyservers.net --recv-keys 3804BB82D39DC0E3 105BD0E739499BDB 
curl -sSL https://get.rvm.io | bash -s stable 

Después de la instalación, configure y cargue las variables de entorno RVM a la sesión actual. A continuación, instale todas las dependencias de paquetes necesarias para RVM en su sistema.

source /etc/profile.d/rvm.sh
rvm requirements

salida:

Checking requirements for ubuntu.
Installing requirements for ubuntu.
Updating system..
Installing required packages: g++, gcc, autoconf, automake, bison, libc6-dev, libffi-dev, 
libgdbm-dev, libncurses5-dev, libsqlite3-dev, libtool, libyaml-dev, make, pkg-config, 
sqlite3, zlib1g-dev, libreadline-dev, libssl-dev...............................
Requirements installation successful.
2. Compruebe la versión disponible de Ruby

Ahora, averigüe las versiones de Ruby disponibles en su sistema. Para obtener una lista de todas las versiones de Ruby que se pueden instalar con RVM, escriba:

rvm list known 

Aparecerá una lista de paquetes de Ruby junto con integraciones específicas compatibles con conectores.

3. Instale la versión Ruby requerida

Ahora, instale la versión de Ruby necesaria ejecutando una de las órdenes siguientes. Para instalar una versión diferente, debe pasar el número de versión en el siguiente orden:

rvm install ruby-2.5           ## Install Ruby 2.5
rvm install ruby-2.7           ## Install Ruby 2.7

El orden anterior también definirá la versión de Ruby como versión predeterminada instalada.

Una vez finalizada la instalación. Compruebe la versión de Ruby predeterminada actual ejecutando la orden siguiente.

ruby --version
ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-linux-gnu]
4. Cambie la versión predeterminada de Ruby

Si la versión predeterminada actual de Ruby no te conviene. Puede cambiar la versión por defecto ejecutando la orden como se muestra a continuación. Asegúrese de cambiar la versión de Ruby según sus requisitos.

rvm use default 2.5         ## Set Ruby 2.5 as Default
rvm use default 2.7         ## Set Ruby 2.7 sa Default

conclusión

En este tutorial, habéis aprendido a instalar el lenguaje de programación Ruby en su sistema Ubuntu 4.20.

Este Blog lo hacemos para colaborar y servir de referencia a la gente Linux. Esperamos que os guste.

Leave a Reply